# Generated from nodeum_sdk-1.88.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nodeum_sdk

Name: rubygem-%{gem_name}
Version: 1.88.0
Release: 1%{?dist}
Summary: Nodeum API Ruby Gem
License: Unlicense
URL: https://openapi-generator.tech
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
The Nodeum API makes it easy to tap into the digital data mesh that runs
across your organisation. Make requests to our API endpoints and we’ll give
you everything you need to interconnect your business workflows with your
storage.  All production API requests are made to:  http://nodeumhostname/api/
The current production version of the API is v1.   **REST** The Nodeum API is
a RESTful API. This means that the API is designed to allow you to get,
create, update, & delete objects with the HTTP verbs GET, POST, PUT, PATCH, &
DELETE.  **JSON** The Nodeum API speaks exclusively in JSON. This means that
you should always set the Content-Type header to application/json to ensure
that your requests are properly accepted and processed by the API. 
**Authentication** All API calls require user-password authentication.  
**Cross-Origin Resource Sharing** The Nodeum API supports CORS for
communicating from Javascript for these endpoints. You will need to specify an
Origin URI when creating your application to allow for CORS to be whitelisted
for your domain.   **Pagination** Some endpoints such as File Listing return a
potentially lengthy array of objects. In order to keep the response sizes
manageable the API will take advantage of pagination. Pagination is a
mechanism for returning a subset of the results for a request and allowing for
subsequent requests to “page” through the rest of the results until the end is
reached. Paginated endpoints follow a standard interface that accepts two
query parameters, limit and offset, and return a payload that follows a
standard form. These parameters names and their behavior are borrowed from SQL
LIMIT and OFFSET keywords.  **Versioning** The Nodeum API is constantly being
worked on to add features, make improvements, and fix bugs. This means that
you should expect changes to be introduced and documented.   However, there
are some changes or additions that are considered backwards-compatible and
your applications should be flexible enough to handle them. These include:  -
Adding new endpoints to the API - Adding new attributes to the response of an
existing endpoint - Changing the order of attributes of responses (JSON by
definition is an object of unordered key/value pairs)  **Filter parameters**
When browsing a list of items, multiple filter parameters may be applied. Some
operators can be added to the value as a prefix:  - `=` value is equal.
Default operator, may be omitted  - `!=` value is different  - `>` greater
than  - `>=` greater than or equal  - `<` lower than  - `>=` lower than or
equal  - `><` included in list, items should be separated by `|`  - `!><` not
included in list, items should be separated by `|`  - `~` pattern matching,
may include `%` (any characters) and `_` (one character)  - `!~` pattern not
matching, may include `%` (any characters) and `_` (one character)  .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/git_push.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/nodeum_sdk.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.88.0-1
- Initial package
